## wxDCClipper

This is a small helper class which sets the specified to its constructor clipping region and then automatically destroys it in its destructor. Using it ensures that unwanted clipping region is not left set on the DC.

Derived from

No base class

Include files

<wx/dc.h>

See also

wxDC

Members

wxDCClipper::wxDCClipper
wxDCClipper::~wxDCClipper

### wxDCClipper::wxDCClipper

wxDCClipper(wxDC& dc, wxCoord x,wxCoord y,wxCoord w,wxCoord h,)

wxDCClipper(wxDC& dc, const wxRect& rect)

Constructor: sets the the clipping region for the given device context to the specified rectangle.

### wxDCClipper::~wxDCClipper

~wxDCClipper()

Destructor: destroys the clipping region set in the constructor.